<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syspm__functions__buck" kind="group">
    <compoundname>group_syspm_functions_buck</compoundname>
    <title>Buck</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga88ac4d8e9a2ad9fdff09eb5d94de9a12" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></type>
        <definition>cy_en_syspm_status_t Cy_SysPm_BuckEnable</definition>
        <argsstring>(cy_en_syspm_buck_voltage1_t voltage)</argsstring>
        <name>Cy_SysPm_BuckEnable</name>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a">cy_en_syspm_buck_voltage1_t</ref></type>
          <declname>voltage</declname>
        </param>
        <briefdescription>
<para>Switch the core supply regulator to Buck core regulator instead of the LDO regulator. </para>        </briefdescription>
        <detaileddescription>
<para>The Buck core regulator provides output voltage(s) using one external inductor and can supply Vccd with higher efficiency than the LDO under some conditions, such as high external supply voltage.</para><para>Before changing from LDO to Buck, ensure that the circuit board has connected Vccbuck1 to Vccd and also populated the necessary external components for the Buck regulator, including an inductor and a capacitor for each output. Refer to the device TRM for more detail.</para><para>When changing from a higher voltage to a lower voltage (from system LP = LDO 1.1 V (nominal) to system ULP = Buck 0.9 V (nominal)), ensure that:<itemizedlist>
<listitem><para>The device maximum operating frequency for all the Clk_HF paths, peripheral, and slow clock are under the <ref kindref="member" refid="group__group__syspm_1group_syspm_ulp_limitations">ULP Limitations</ref>.</para></listitem><listitem><para>The total current consumption is under the <ref kindref="member" refid="group__group__syspm_1group_syspm_ulp_limitations">ULP Limitations</ref>.</para></listitem><listitem><para>The appropriate wait states values are set for the flash using the <ref kindref="member" refid="group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9">Cy_SysLib_SetWaitStates()</ref> function as explained below.</para></listitem></itemizedlist>
</para><para><bold>Setting wait states values for flash</bold></para><para>The flash access time when the core output voltage is 0.9 V (nominal) is longer than at 1.1 V (nominal). Therefore, the number of the wait states must be adjusted. Use the <ref kindref="member" refid="group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9">Cy_SysLib_SetWaitStates()</ref> function to set the appropriate wait state values for flash.</para><para>To change from a higher voltage (LDO 1.1 V) to a lower voltage (Buck 0.9 V), call the Cy_SysLib_SetWaitStates(true, hfClkFreqMz) function before changing the voltage, where hfClkFreqMz is the frequency of HfClk0 in MHz.</para><para>To change from a lower voltage (LDO 0.9 V (nominal) to a higher voltage (Buck 1.1 V (nominal)), call the Cy_SysLib_SetWaitStates(false, hfClkFreqMz) function to set the wait states after the voltage change. It is optional, but can be done to improve performance. The clock frequency may now be increased up to system LP mode limits for the new voltage.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;1. If the final Buck output is set to 0.9 V (nominal) - the system is in ULP mode and flash allows read-only operations. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;2. If the final Buck output is set to 1.1 V (nominal) - the system is in LP mode flash allows the read and write operations. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;3. The actual device Vccd voltage can be different from the nominal voltage because the actual voltage value depends on conditions including the load current.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;There is no safe way to go back to the LDO after the Buck regulator supplies a core. The function enabling the BUck regulator switches off the LDO.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;For more detail, refer to the </verbatim><ref kindref="member" refid="group__group__syspm_1group_syspm_switching_into_ulp">Switching the System into Ultra Low Power</ref> and <ref kindref="member" refid="group__group__syspm_1group_syspm_switching_into_lp">Switching the System into Low Power</ref> sections. Refer to the <ref kindref="compound" refid="group__group__syslib">SysLib (System Library)</ref> driver for more detail about setting wait states.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>voltage</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired output 1 regulator voltage (Vccbuck1). See <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a">cy_en_syspm_buck_voltage1_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><itemizedlist>
<listitem><para>CY_SYSPM_SUCCESS - The voltage is set as requested. (There is no change if the new voltage is the same as the previous voltage.)</para></listitem><listitem><para>CY_SYSPM_INVALID_STATE - The voltage was not set. The voltage cannot be set because the protection context value is higher than zero (PC &gt; 0) or the device revision does not support modifying registers via syscall.</para></listitem><listitem><para>CY_SYSPM_CANCELED - Operation was canceled. Call the function again until the function returns CY_SYSPM_SUCCESS. See <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref>. For the PSoC 64 devices there are possible situations when function returns the PRA error status code. This is because for PSoC 64 devices the function uses the PRA driver to change the protected registers. Refer to <ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref> for more details.</para></listitem></itemizedlist>
</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The function is applicable only for devices with a Buck regulator.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Function uses a critical section to prevent interrupting the regulators switch.</verbatim></para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />switch<sp />the<sp />power<sp />supply<sp />regulator<sp />to<sp />Buck<sp />regulator<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp />retVal;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />triesToSetVoltage<sp />=<sp />10u;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Need<sp />to<sp />parse<sp />the<sp />error<sp />value.<sp />The<sp />function<sp />can<sp />return<sp />two<sp />types<sp />of<sp />error.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_INVALID_STATE<sp />-<sp />The<sp />operation<sp />cannot<sp />be<sp />executed,<sp />because<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />the<sp />application<sp />runs<sp />in<sp />protection<sp />context<sp />higher<sp />than<sp />zero<sp />(PC<sp />&gt;<sp />0),<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />or<sp />device<sp />revision<sp />does<sp />not<sp />support<sp />modifying<sp />registers<sp />via<sp />syscall.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_CANCELED<sp />-<sp />The<sp />operation<sp />was<sp />canceled,<sp />and<sp />you<sp />need<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />call<sp />the<sp />function<sp />again<sp />to<sp />successfully<sp />finish<sp />the<sp />operation.<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">do</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />the<sp />function<sp />until<sp />the<sp />operation<sp />is<sp />finished<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1ga88ac4d8e9a2ad9fdff09eb5d94de9a12">Cy_SysPm_BuckEnable</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa0009b3f9bef2d360c1b221cd8c801650">CY_SYSPM_BUCK_OUT1_VOLTAGE_ULP</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--triesToSetVoltage;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}<sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref><sp />!=<sp />retVal)<sp />&amp;&amp;<sp />(triesToSetVoltage<sp />!=<sp />0));</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(triesToSetVoltage<sp />==<sp />0)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />operation<sp />was<sp />not<sp />performed<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1899" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syspm.c" bodystart="1789" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1920" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga13d758e2f64eae51612adb31ad13773b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_BuckIsEnabled</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BuckIsEnabled</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Get the current status of the Buck regulator. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if the Buck regulator is enabled.</para></listitem><listitem><para>False if it is disabled.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />increase<sp />the<sp />core<sp />supply<sp />voltage<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp />retVal;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Need<sp />to<sp />parse<sp />the<sp />error<sp />value<sp />for<sp />Cy_SysPm_LdoSetVoltage<sp />and<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />Cy_SysPm_BuckSetVoltage1<sp />functions.<sp />The<sp />functions<sp />can<sp />return<sp />two<sp />types</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />of<sp />error:</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_INVALID_STATE<sp />-<sp />The<sp />operation<sp />cannot<sp />be<sp />executed,<sp />because<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />the<sp />application<sp />runs<sp />in<sp />protection<sp />context<sp />higher<sp />than<sp />zero<sp />(PC<sp />&gt;<sp />0),<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />or<sp />device<sp />revision<sp />does<sp />not<sp />support<sp />modifying<sp />registers<sp />via<sp />syscall.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_CANCELED<sp />-<sp />The<sp />operation<sp />was<sp />canceled,<sp />and<sp />you<sp />need<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />call<sp />the<sp />function<sp />again<sp />to<sp />successfully<sp />finish<sp />the<sp />operation.<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /></highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__ldo_1ga4f904446413fa43c1fbfcbacda4b44f9">Cy_SysPm_LdoIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eaee236d7a70299bdd4bb9e9d74d205254">CY_SYSPM_LDO_VOLTAGE_ULP</ref><sp />==<sp /><ref kindref="member" refid="group__group__syspm__functions__ldo_1gab2a01cbe587a94f37bdff774fdab3e59">Cy_SysPm_LdoGetVoltage</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />triesToSetVoltage<sp />=<sp />5u;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">do</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />the<sp />function<sp />until<sp />the<sp />operation<sp />is<sp />finished<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__ldo_1gaa583169f7b72095e98650fc30dfbcb24">Cy_SysPm_LdoSetVoltage</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eafec1860878ca84cdfd201632a1d29689">CY_SYSPM_LDO_VOLTAGE_1_1V</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--triesToSetVoltage;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref><sp />!=<sp />retVal)<sp />&amp;&amp;<sp />(triesToSetVoltage<sp />!=<sp />0));</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0U<sp />==<sp />triesToSetVoltage)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />operation<sp />was<sp />not<sp />performed<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />Cy_SysLib_SetWaitStates(false,<sp />clkMHz);</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />where<sp />clkMHz<sp />is<sp />the<sp />core<sp />frequency<sp />in<sp />MHz</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__buck_1ga13d758e2f64eae51612adb31ad13773b">Cy_SysPm_BuckIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa0009b3f9bef2d360c1b221cd8c801650">CY_SYSPM_BUCK_OUT1_VOLTAGE_ULP</ref><sp />==<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1ga220ea56a5f9aff6a67b387024bb8a434">Cy_SysPm_BuckGetVoltage1</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />triesToSetVoltage<sp />=<sp />5u;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">do</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />the<sp />function<sp />until<sp />the<sp />operation<sp />is<sp />finished<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1gabcdba9193b78620e0e6481f068093376">Cy_SysPm_BuckSetVoltage1</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa6de6ed7b114c74828ab1201648f384fb">CY_SYSPM_BUCK_OUT1_VOLTAGE_1_1V</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--triesToSetVoltage;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref><sp />!=<sp />retVal)<sp />&amp;&amp;<sp />(triesToSetVoltage<sp />!=<sp />0));</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0U<sp />==<sp />triesToSetVoltage)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />operation<sp />was<sp />not<sp />performed<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />Cy_SysLib_SetWaitStates(false,<sp />clkMHz);</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />where<sp />clkMHz<sp />is<sp />the<sp />CPU<sp />frequency<sp />in<sp />MHz</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2172" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2169" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1921" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1gabcdba9193b78620e0e6481f068093376" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></type>
        <definition>cy_en_syspm_status_t Cy_SysPm_BuckSetVoltage1</definition>
        <argsstring>(cy_en_syspm_buck_voltage1_t voltage)</argsstring>
        <name>Cy_SysPm_BuckSetVoltage1</name>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a">cy_en_syspm_buck_voltage1_t</ref></type>
          <declname>voltage</declname>
        </param>
        <briefdescription>
<para>Sets the output 1 voltage for the Buck regulator that can supply the device core. </para>        </briefdescription>
        <detaileddescription>
<para>This output can supply the device core instead of the LDO regulator.</para><para>When changing from a higher voltage 1.1 V (nominal) to a lower voltage 0.9 V (nominal), ensure that:<itemizedlist>
<listitem><para>The device maximum operating frequency for all the Clk_HF paths, peripheral, and slow clock are under the <ref kindref="member" refid="group__group__syspm_1group_syspm_ulp_limitations">ULP Limitations</ref>.</para></listitem><listitem><para>The total current consumption is under the <ref kindref="member" refid="group__group__syspm_1group_syspm_ulp_limitations">ULP Limitations</ref>.</para></listitem><listitem><para>The appropriate wait states values are set for the flash using the <ref kindref="member" refid="group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9">Cy_SysLib_SetWaitStates()</ref> function as explained below.</para></listitem></itemizedlist>
</para><para><bold>Setting wait states values for flash</bold></para><para>The flash access time when the core output voltage is 0.9 V (nominal) is longer than at 1.1 V (nominal). Therefore, the number of the wait states must be adjusted. Use the <ref kindref="member" refid="group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9">Cy_SysLib_SetWaitStates()</ref> function to set the appropriate wait state values for flash.</para><para>To change from a higher voltage to a lower voltage 0.9 V (nominal), call the Cy_SysLib_SetWaitStates(true, hfClkFreqMz) function before changing the voltage, where hfClkFreqMz is the frequency of HfClk0 in MHz.</para><para>To change from a lower voltage to a higher voltage 1.1 V (nominal), call the Cy_SysLib_SetWaitStates(false, hfClkFreqMz) function to set the wait states. It is optional, but can be done to improve the performance. The clock frequency may now be increased up to <ref kindref="member" refid="group__group__syspm_1group_syspm_lp_limitations">LP Limitations</ref> for a new voltage.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;1. The output is set to 0.9 V (nominal) - the system is in ULP mode flash allows read-only operations. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;2. The output is set to 1.1 V (nominal) - the system is in LP mode and flash allows the read and write operations. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;3. The actual device Vccd voltage can be different from the nominal voltage because the actual voltage value depends on the conditions including the load current.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;For more detail, refer to the </verbatim><ref kindref="member" refid="group__group__syspm_1group_syspm_switching_into_ulp">Switching the System into Ultra Low Power</ref> and <ref kindref="member" refid="group__group__syspm_1group_syspm_switching_into_lp">Switching the System into Low Power</ref> sections. Refer to the <ref kindref="compound" refid="group__group__syslib">SysLib (System Library)</ref> driver for more detail about setting the wait states.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>voltage</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired output 1 regulator voltage (Vccbuck1). See <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a">cy_en_syspm_buck_voltage1_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><itemizedlist>
<listitem><para>CY_SYSPM_SUCCESS - The voltage is set.</para></listitem><listitem><para>CY_SYSPM_INVALID_STATE - The voltage was not set. The voltage cannot be set because the protection context value is higher than zero (PC &gt; 0) or the device revision does not support modifying registers via syscall.</para></listitem><listitem><para>CY_SYSPM_CANCELED - Operation was canceled. Call the function again until the function returns CY_SYSPM_SUCCESS. See <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref>. For the PSoC 64 devices there are possible situations when function returns the PRA error status code. This is because for PSoC 64 devices the function uses the PRA driver to change the protected registers. Refer to <ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref> for more details.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />increase<sp />the<sp />core<sp />supply<sp />voltage<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp />retVal;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Need<sp />to<sp />parse<sp />the<sp />error<sp />value<sp />for<sp />Cy_SysPm_LdoSetVoltage<sp />and<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />Cy_SysPm_BuckSetVoltage1<sp />functions.<sp />The<sp />functions<sp />can<sp />return<sp />two<sp />types</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />of<sp />error:</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_INVALID_STATE<sp />-<sp />The<sp />operation<sp />cannot<sp />be<sp />executed,<sp />because<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />the<sp />application<sp />runs<sp />in<sp />protection<sp />context<sp />higher<sp />than<sp />zero<sp />(PC<sp />&gt;<sp />0),<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />or<sp />device<sp />revision<sp />does<sp />not<sp />support<sp />modifying<sp />registers<sp />via<sp />syscall.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_CANCELED<sp />-<sp />The<sp />operation<sp />was<sp />canceled,<sp />and<sp />you<sp />need<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />call<sp />the<sp />function<sp />again<sp />to<sp />successfully<sp />finish<sp />the<sp />operation.<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /></highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__ldo_1ga4f904446413fa43c1fbfcbacda4b44f9">Cy_SysPm_LdoIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eaee236d7a70299bdd4bb9e9d74d205254">CY_SYSPM_LDO_VOLTAGE_ULP</ref><sp />==<sp /><ref kindref="member" refid="group__group__syspm__functions__ldo_1gab2a01cbe587a94f37bdff774fdab3e59">Cy_SysPm_LdoGetVoltage</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />triesToSetVoltage<sp />=<sp />5u;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">do</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />the<sp />function<sp />until<sp />the<sp />operation<sp />is<sp />finished<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__ldo_1gaa583169f7b72095e98650fc30dfbcb24">Cy_SysPm_LdoSetVoltage</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eafec1860878ca84cdfd201632a1d29689">CY_SYSPM_LDO_VOLTAGE_1_1V</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--triesToSetVoltage;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref><sp />!=<sp />retVal)<sp />&amp;&amp;<sp />(triesToSetVoltage<sp />!=<sp />0));</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0U<sp />==<sp />triesToSetVoltage)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />operation<sp />was<sp />not<sp />performed<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />Cy_SysLib_SetWaitStates(false,<sp />clkMHz);</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />where<sp />clkMHz<sp />is<sp />the<sp />core<sp />frequency<sp />in<sp />MHz</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__buck_1ga13d758e2f64eae51612adb31ad13773b">Cy_SysPm_BuckIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa0009b3f9bef2d360c1b221cd8c801650">CY_SYSPM_BUCK_OUT1_VOLTAGE_ULP</ref><sp />==<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1ga220ea56a5f9aff6a67b387024bb8a434">Cy_SysPm_BuckGetVoltage1</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />triesToSetVoltage<sp />=<sp />5u;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">do</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />the<sp />function<sp />until<sp />the<sp />operation<sp />is<sp />finished<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1gabcdba9193b78620e0e6481f068093376">Cy_SysPm_BuckSetVoltage1</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa6de6ed7b114c74828ab1201648f384fb">CY_SYSPM_BUCK_OUT1_VOLTAGE_1_1V</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--triesToSetVoltage;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref><sp />!=<sp />retVal)<sp />&amp;&amp;<sp />(triesToSetVoltage<sp />!=<sp />0));</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0U<sp />==<sp />triesToSetVoltage)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />operation<sp />was<sp />not<sp />performed<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />Cy_SysLib_SetWaitStates(false,<sp />clkMHz);</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />where<sp />clkMHz<sp />is<sp />the<sp />CPU<sp />frequency<sp />in<sp />MHz</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting> </para></simplesect>
<simplesect kind="par"><title>Side Effects</title><para>For PSoC 64 series devices <ref kindref="member" refid="group__group__syspm__functions__buck_1gabcdba9193b78620e0e6481f068093376">Cy_SysPm_BuckSetVoltage1()</ref> has the same functional behavior as <ref kindref="member" refid="group__group__syspm__functions__buck_1ga88ac4d8e9a2ad9fdff09eb5d94de9a12">Cy_SysPm_BuckEnable()</ref> function. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2055" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syspm.c" bodystart="1971" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1922" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga220ea56a5f9aff6a67b387024bb8a434" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a">cy_en_syspm_buck_voltage1_t</ref></type>
        <definition>__STATIC_INLINE cy_en_syspm_buck_voltage1_t Cy_SysPm_BuckGetVoltage1</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BuckGetVoltage1</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gets the current nominal output 1 voltage (Vccbuck1) of the Buck regulator. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The actual device output 1 voltage (Vccbuck1) can be different from the nominal voltage because the actual voltage value depends on conditions including load current.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>The nominal output voltage 1 (Vccbuck1) of the Buck regulator. See <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a">cy_en_syspm_buck_voltage1_t</ref>.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />increase<sp />the<sp />core<sp />supply<sp />voltage<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp />retVal;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Need<sp />to<sp />parse<sp />the<sp />error<sp />value<sp />for<sp />Cy_SysPm_LdoSetVoltage<sp />and<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />Cy_SysPm_BuckSetVoltage1<sp />functions.<sp />The<sp />functions<sp />can<sp />return<sp />two<sp />types</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />of<sp />error:</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_INVALID_STATE<sp />-<sp />The<sp />operation<sp />cannot<sp />be<sp />executed,<sp />because<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />the<sp />application<sp />runs<sp />in<sp />protection<sp />context<sp />higher<sp />than<sp />zero<sp />(PC<sp />&gt;<sp />0),<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />or<sp />device<sp />revision<sp />does<sp />not<sp />support<sp />modifying<sp />registers<sp />via<sp />syscall.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />CY_SYSPM_CANCELED<sp />-<sp />The<sp />operation<sp />was<sp />canceled,<sp />and<sp />you<sp />need<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />call<sp />the<sp />function<sp />again<sp />to<sp />successfully<sp />finish<sp />the<sp />operation.<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /></highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__ldo_1ga4f904446413fa43c1fbfcbacda4b44f9">Cy_SysPm_LdoIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eaee236d7a70299bdd4bb9e9d74d205254">CY_SYSPM_LDO_VOLTAGE_ULP</ref><sp />==<sp /><ref kindref="member" refid="group__group__syspm__functions__ldo_1gab2a01cbe587a94f37bdff774fdab3e59">Cy_SysPm_LdoGetVoltage</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />triesToSetVoltage<sp />=<sp />5u;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">do</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />the<sp />function<sp />until<sp />the<sp />operation<sp />is<sp />finished<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__ldo_1gaa583169f7b72095e98650fc30dfbcb24">Cy_SysPm_LdoSetVoltage</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eafec1860878ca84cdfd201632a1d29689">CY_SYSPM_LDO_VOLTAGE_1_1V</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--triesToSetVoltage;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref><sp />!=<sp />retVal)<sp />&amp;&amp;<sp />(triesToSetVoltage<sp />!=<sp />0));</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0U<sp />==<sp />triesToSetVoltage)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />operation<sp />was<sp />not<sp />performed<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />Cy_SysLib_SetWaitStates(false,<sp />clkMHz);</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />where<sp />clkMHz<sp />is<sp />the<sp />core<sp />frequency<sp />in<sp />MHz</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__buck_1ga13d758e2f64eae51612adb31ad13773b">Cy_SysPm_BuckIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa0009b3f9bef2d360c1b221cd8c801650">CY_SYSPM_BUCK_OUT1_VOLTAGE_ULP</ref><sp />==<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1ga220ea56a5f9aff6a67b387024bb8a434">Cy_SysPm_BuckGetVoltage1</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />triesToSetVoltage<sp />=<sp />5u;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">do</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />the<sp />function<sp />until<sp />the<sp />operation<sp />is<sp />finished<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1gabcdba9193b78620e0e6481f068093376">Cy_SysPm_BuckSetVoltage1</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa6de6ed7b114c74828ab1201648f384fb">CY_SYSPM_BUCK_OUT1_VOLTAGE_1_1V</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--triesToSetVoltage;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}<sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref><sp />!=<sp />retVal)<sp />&amp;&amp;<sp />(triesToSetVoltage<sp />!=<sp />0));</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0U<sp />==<sp />triesToSetVoltage)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />operation<sp />was<sp />not<sp />performed<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />Cy_SysLib_SetWaitStates(false,<sp />clkMHz);</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />where<sp />clkMHz<sp />is<sp />the<sp />CPU<sp />frequency<sp />in<sp />MHz</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2199" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2193" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1923" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1gaf81728d668147ed00ffa52b13a342ece" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysPm_BuckSetVoltage2</definition>
        <argsstring>(cy_en_syspm_buck_voltage2_t voltage, bool waitToSettle)</argsstring>
        <name>Cy_SysPm_BuckSetVoltage2</name>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1gaedf345e33e099521cec7154f4477d3d3">cy_en_syspm_buck_voltage2_t</ref></type>
          <declname>voltage</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>waitToSettle</declname>
        </param>
        <briefdescription>
<para>This function sets output voltage 2 (Vbuckrf) of the SIMO Buck regulator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>voltage</parametername>
</parameternamelist>
<parameterdescription>
<para>The voltage of the Buck regulator output 2 (Vbuckrf). See <ref kindref="member" refid="group__group__syspm__data__enumerates_1gaedf345e33e099521cec7154f4477d3d3">cy_en_syspm_buck_voltage2_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>waitToSettle</parametername>
</parameternamelist>
<parameterdescription>
<para><itemizedlist>
<listitem><para>True to enable the 200 us delay after setting a higher voltage.</para></listitem><listitem><para>False to disable the 200 us delay after setting a higher voltage.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;You must enable the delay (waitToSettle = true) while changing from a lower voltage to a higher voltage.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The 200 us delay is required only when changing from a lower voltage to a higher voltage. When changing from a higher voltage to a lower one, the delay is not required.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;The function works only on devices with the SIMO Buck regulator. Refer to the device datasheet for information on whether the device contains SIMO Buck.</verbatim></para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />set<sp />the<sp />SIMO<sp />Buck<sp />output<sp />2<sp />voltage<sp />to<sp />1.35<sp />V<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1gaf81728d668147ed00ffa52b13a342ece">Cy_SysPm_BuckSetVoltage2</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3aaa88d9834db046d0962ed418a5984ed6">CY_SYSPM_BUCK_OUT2_VOLTAGE_1_35V</ref>,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2217" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syspm.c" bodystart="2181" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1924" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga08367e58fe796fa9be951dd3689379be" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__syspm__data__enumerates_1gaedf345e33e099521cec7154f4477d3d3">cy_en_syspm_buck_voltage2_t</ref></type>
        <definition>__STATIC_INLINE cy_en_syspm_buck_voltage2_t Cy_SysPm_BuckGetVoltage2</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BuckGetVoltage2</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gets the current output 2 nominal voltage (Vbuckrf) of the SIMO Buck regulator. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The actual device output 2 voltage (Vbuckrf) can be different from the nominal voltage because the actual voltage value depends on conditions including load current.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>The nominal output voltage of the Buck SIMO regulator output 2 voltage (Vbuckrf). See <ref kindref="member" refid="group__group__syspm__data__enumerates_1gaedf345e33e099521cec7154f4477d3d3">cy_en_syspm_buck_voltage2_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Function returns zero for devices without a SIMO Buck regulator. Refer to the device datasheet about information on whether device contains a SIMO Buck.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />get<sp />the<sp />nominal<sp />output<sp />2<sp />voltage<sp />of<sp />the<sp />SIMO<sp />Buck<sp />regulator<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_syspm_simo_buck_voltage2_t<sp />voltage<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1ga08367e58fe796fa9be951dd3689379be">Cy_SysPm_BuckGetVoltage2</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2236" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2226" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1925" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga67dfa4e4645b5d15f5e8f2626485ffac" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysPm_BuckEnableVoltage2</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BuckEnableVoltage2</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enable the output 2 voltage (Vbuckrf) of the SIMO Buck regulator. </para>        </briefdescription>
        <detaileddescription>
<para>The output 2 voltage (Vbuckrf) of the Buck regulator is typically used to supply the BLE radio. This function does following actions, when the Buck regulator does not supply the core:<itemizedlist>
<listitem><para>Enables the Buck regulator</para></listitem><listitem><para>Enables the output 2, but do not enables the output 1.</para></listitem></itemizedlist>
</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The function does not affect Buck output 1 that typically supplies core.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;The function does not select the Buck output 2 voltage and does not set/clear the HW-controlled bit for Buck output 2. Call &lt;a href="group__group__syspm__functions__buck.html#group__group__syspm__functions__buck_1gaf81728d668147ed00ffa52b13a342ece"&gt;Cy_SysPm_BuckSetVoltage2()&lt;/a&gt; or &lt;a href="group__group__syspm__functions__buck.html#group__group__syspm__functions__buck_1gae120f094de1fb11c0d7120bd9f7b6c62"&gt;Cy_SysPm_BuckSetVoltage2HwControl()&lt;/a&gt; to configure the Buck output 2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;The function works only on devices with the SIMO Buck regulator. Refer to the device datasheet for information on whether the device contains the SIMO Buck.</verbatim></para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />enable<sp />the<sp />SIMO<sp />Buck<sp />output<sp />2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1ga67dfa4e4645b5d15f5e8f2626485ffac">Cy_SysPm_BuckEnableVoltage2</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2149" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syspm.c" bodystart="2127" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1926" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga2e27419625cc6543904334c225c8e0f8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysPm_BuckDisableVoltage2</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BuckDisableVoltage2</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the output 2 voltage (Vbuckrf) of the SIMO Buck regulator. </para>        </briefdescription>
        <detaileddescription>
<para>The output 2 voltage (Vbuckrf) of the Buck regulator is typically used to supply the BLE radio.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The function does not have effect, if the Buck regulator is switched off.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;If you are switching the voltage supply source for BLE radio, ensure that the new voltage supply for the BLE HW block is settled and is stable before calling the &lt;a href="group__group__syspm__functions__buck.html#group__group__syspm__functions__buck_1ga2e27419625cc6543904334c225c8e0f8"&gt;Cy_SysPm_BuckDisableVoltage2()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;This function is applicable for devices with the SIMO Buck regulator. Refer to the device datasheet for information about whether the device contains a SIMO Buck.</verbatim></para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />disable<sp />the<sp />output<sp />2<sp />voltage<sp />of<sp />the<sp />SIMO<sp />Buck<sp />regulator<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1ga2e27419625cc6543904334c225c8e0f8">Cy_SysPm_BuckDisableVoltage2</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2274" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2262" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1927" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1gae120f094de1fb11c0d7120bd9f7b6c62" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysPm_BuckSetVoltage2HwControl</definition>
        <argsstring>(bool hwControl)</argsstring>
        <name>Cy_SysPm_BuckSetVoltage2HwControl</name>
        <param>
          <type>bool</type>
          <declname>hwControl</declname>
        </param>
        <briefdescription>
<para>Sets the hardware control for SIMO Buck output 2 (Vbuckrf). </para>        </briefdescription>
        <detaileddescription>
<para>When hardware control is enabled for the Vbuckrf output, the firmware controlled enable register setting is ignored and the hardware signal is used instead. If the product has supporting hardware like BLE radio, it can directly control the enable signal for Vbuckrf.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>hwControl</parametername>
</parameternamelist>
<parameterdescription>
<para>Enables/disables hardware control for the SIMO Buck output 2.</para></parameterdescription>
</parameteritem>
</parameterlist>
Function does not have an effect if SIMO Buck regulator is disabled.</para><para>The function is applicable for devices with the SIMO Buck regulator. Refer to the device datasheet for information about whether the device contains a SIMO Buck.</para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />enable<sp />the<sp />hardware<sp />control<sp />for<sp />the<sp />SIMO<sp />Buck<sp />output<sp />2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1gae120f094de1fb11c0d7120bd9f7b6c62">Cy_SysPm_BuckSetVoltage2HwControl</ref>(</highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />disable<sp />the<sp />hardware<sp />control<sp />for<sp />the<sp />SIMO<sp />Buck<sp />output<sp />2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__buck_1gae120f094de1fb11c0d7120bd9f7b6c62">Cy_SysPm_BuckSetVoltage2HwControl</ref>(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2323" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2302" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1928" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga81926a54b00975bd8a75dba8dc1ae0ab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_BuckIsVoltage2HwControlled</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BuckIsVoltage2HwControlled</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the hardware control state for Buck output 2 (Vbuckrf). </para>        </briefdescription>
        <detaileddescription>
<para>When hardware control is enabled for the Vbuckrf output, the firmware controlled enable register setting is ignored and the hardware signal is used instead. If the product has supporting hardware like BLE radio, it can directly control the enable signal for Vbuckrf.</para><para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if HW control is set.</para></listitem><listitem><para>False if FW control is set for the Buck output 2.</para></listitem></itemizedlist>
</para></simplesect>
The function is applicable for devices with the SIMO Buck regulator. Refer to device datasheet about information if device contains SIMO Buck.</para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />the<sp />hardware<sp />control<sp />for<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />Buck<sp />output<sp />2<sp />(Vbuckrf)<sp />is<sp />enabled</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__buck_1ga81926a54b00975bd8a75dba8dc1ae0ab">Cy_SysPm_BuckIsVoltage2HwControlled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />hardware<sp />control<sp />for<sp />Vbuckrf<sp />is<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2359" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2349" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1929" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__buck_1ga926188543431aa1b31c25a03bd39fda2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_SysPm_BuckIsOutputEnabled</definition>
        <argsstring>(cy_en_syspm_buck_out_t output)</argsstring>
        <name>Cy_SysPm_BuckIsOutputEnabled</name>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga35ca7d1dbdf91fa732f52398652ec4c9">cy_en_syspm_buck_out_t</ref></type>
          <declname>output</declname>
        </param>
        <briefdescription>
<para>This function gets the current output status of the Buck outputs. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>output</parametername>
</parameternamelist>
<parameterdescription>
<para>The Buck regulator output. See <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga35ca7d1dbdf91fa732f52398652ec4c9">cy_en_syspm_buck_out_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><itemizedlist>
<listitem><para>True if the requested output is enabled.</para></listitem><listitem><para>False if the requested output is disabled.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />the<sp />status<sp />of<sp />the<sp />SIMO<sp />Buck<sp />output<sp />2<sp />(Vbuckrf)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__buck_1ga926188543431aa1b31c25a03bd39fda2">Cy_SysPm_BuckIsOutputEnabled</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga35ca7d1dbdf91fa732f52398652ec4c9ac4cae6fd90d302b5514103caea274214">CY_SYSPM_BUCK_VRF</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />SIMO<sp />Buck<sp />output<sp />2<sp />is<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2097" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syspm.c" bodystart="2075" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1930" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>